Create deposit invoiceAsk AIpost https://api.instellix.io/v2/documents/deposit-invoicesCreate a new document of type deposit invoice.Body ParamsbillingGroupIdentstringrequiredlength ≥ 1The billingGroupIdent of the document. Must be an existing billing group configured for external billing. See Billing Group API. Must not be blank.currencystringrequiredThe currency of the document. The same currency is used for all monetary values in this document. Three-letter currency code in ISO 4217 standard. See Wikipedia. Must not be null.customerDetailobjectrequiredSpecifies the customer to be use for the document. Must be an existing customer in Nitrobox. Customer APIcustomerDetail objectdocumentDatedate | nullThe date of the document. If not set the current UTC date will be used.identstring | nullUnique external reference a.k.a. document number. Depending on the document number configuration, this field is mandatory or must be omitted.itemsarray of objectsrequiredlength between 1 and 100A list of items included in the document. Must not be null. Size must be between 1 and 100.items* objectarticleNumberstring | nullThe SKU/article number.billingPeriodobject | nullBilling period.billingPeriod object | nullcategorystringrequiredCategory of the item. Must not be null. Must be one of: DIGITAL_PRODUCTDIGITAL_PRODUCT_RENTALDISCOUNTELECTRICITYELECTRICITY_RESALELABOR_COSTLOGISTIC_COSTPHYSICAL_PRODUCTPHYSICAL_PRODUCT_RENTALSERVICEVOUCHERVOUCHER_APPLICATIONdescriptionstring | nullThe document item's description.extrasarray of objects | nullDocument item extras. This are elements that can reduce the value of this item. For example an item with 100 Euro original gross value is reduced by an item extra (10% voucher for this item) to 90 euro total gross value.extrasADD objectidentstringrequiredlength between 1 and 100Must be a unique external reference. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.itemGroupstring | nullThe group to which an item belongs. Size must be between 0 and 64.namestring | nullName of the document item.performanceLocationobjectrequiredPlace of service provision of this item.performanceLocation objectpriceCalculationBasisarray | nullBase price calculation basis for a document item. Per Item only one type of priceCalculationBasis is allowed.priceCalculationBasisADD DocumentItemBlockPriceCalculationBasisDto | DocumentItemProgressiveTierPriceCalculationBasisDto | DocumentItemRecurringPriceCalculationBasisDto | DocumentItemSingleTierPriceCalculationBasisDto | DocumentItemTimeBasedUsagePriceCalculationBasisDtopricesobjectrequiredGroup of prices unit: prices for a single unit of this item, originalTotal: prices for quantity units of this item without application of item.extras, total: prices for quantity units of this item with application of item.extras prices objectpropertiesarray of objects | nullDocument item propertiespropertiesADD objectquantitynumberrequiredThe count of items. Must not be null. Must be greater than or equal to 0. Must be a number with up to 15 integral digits and up to 4 fractional digits.quantityTypestringrequiredType of quantity. Must not be null. Must be one of: PCKWHSECONDMINUTEHOURDAYWEEKMONTHYEARreferenceIdentstring | nullReference ident for this itemrefundabilityTypestring | nullDecides whether this item is refundable or not. Is only applied if the category == VOUCHER or VOUCHER_APPLICATION. Must be one of: REFUNDABLENON_REFUNDABLEservicePeriodobject | nullService period.servicePeriod object | nulltaxDetailobjectrequiredTax information on item level.taxDetail objecttaxLocationobject | nullPlace of taxation of this item. If empty the mandatory performanceLocation is used. Country and region must be identical for all items.taxLocation object | nullADD objectlanguagestringrequiredPreferred language for customer interactions (e.g. PDFs, email...). Two- or three-letter language code in ISO 639-1 standard. See Wikipedia. Must not be null.operatingSiteIdentstring | nullIdent of the operating site for the document. If omitted, the default operating site is used. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.orderDatedate | nullThe date of the order.paymentCollectionobjectrequiredContains information about the payment collection for this document.paymentCollection objectpaymentInformationobject | nullThe payment information for the document.paymentInformation object | nullpaymentTermobject | nullContains information about the payment term for this document.paymentTerm object | nullpostTaxItemsarray of objects | nullDocument post tax itemspostTaxItemsADD objectpropertiesarray of objects | nullDocument properties.propertiesADD objectrelatedDocumentIdentstring | nullThe identifier which relates to the related document. Mandatory for documents that relates to others. Examples: - An invoice that relates to a deposit invoice - A credit memo that relates to an invoicerequestIdstringrequiredlength ≤ 255Unique identifier of the creation request. Creation will be aborted if this requestId already exists. If not sent, no validation will be performed. Must not be blank. Size must be between 0 and 255.sellerOperatingSiteIdentstring | nullIdent of the seller operating site for the document. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.Responses 202The request has been accepted for processing, but the processing has not been completed. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 7 months ago